package common.somesystem.services.interfaces;

import java.util.Collection;
import java.util.LinkedList;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import javax.ejb.Stateless;

import static server.somesystem.enumerations.SomeEnum.OK;
import server.somesystem.entities.SomeEntity;

@Stateless
public class SomeServiceBean implements SomeService {
 @PersistenceContext
 EntityManager entityManager;
 public void createEntity() {
  entityManager.persist(new SomeEntity((int) (10000 * Math.random()), OK));
 }
 public Collection<String> findAllEntities() {
  Collection<String> entities = new LinkedList<String>();
  Query query = entityManager.createQuery(
   "select object(e) from SOMEENTITY as e"
   );
  for(Object result : query.getResultList()) {
   entities.add(result.toString());
  }
  return entities;
 }
 public Collection<String> findAllOkEntities() {
  Collection<String> entities = new LinkedList<String>();
  Query query = entityManager.createQuery(
//   "select object(e) from SOMEENTITY as e where e.value = 'OK'"
   "select object(e) from SOMEENTITY as e where e.value = 0"
   );
  for(Object result : query.getResultList()) {
   entities.add(result.toString());
  }
  return entities;
 }
}